20 de abril de 2014

Packet Tracer 5.3.3 en Fedora 20

Enrutamiento dinámico mediante OSPF

Packet Tracer es uno de los simuladores más útiles de la red. Este nos permite crear diversas topologías de red con diversas tecnologías Ethernet, Wireless, FiberChannel; diferentes tipos de redes, PAN, LAN, MAN, WAN...; configuración de los distintos elementos de la red así como su zona geográfica...
Lo que se nos limita el acceso al software porque no se distribuye de forma gratuita. Para poder obtenerlo de forma oficial, debes ser un profesor, o un estudiante o de una entidad autorizada por la NetAcademy, que es la red académica de la empresa Cisco Systems.

Sin embargo, googleando un poco damos con muchas versiones de PT disponibles para ArchLinux, Gentoo, Slackware, Debian, openSUSE y como no Fedora pudiéndolo descargar he instalar en nuestro PC.
Nota: En caso de que poseas una distro diferente, puedes obtener la versión para la tuya desde la página fuente de descargas PT utilizada en este post.

Para instalarlo deberemos instalar o tener instalado el paquete (lista de dependencias actualizadas):
  • libXrandr.i686
  • libpng12.i686
  • fontconfig.i686
  • freetype.i686
  • glib2.i686
  • libICE.i686
  • libSM.i686  
  • libXi.i686  
  • libgcc.i686          
  • libstdc++.i686
  • expat.i686                
  • libffi.i686      
  • libpng.i686 
  • libselinux.i686 
  • libuuid.i686
  • pcre.i686  
  • xz-libs.i686
A continuación nos dirigimos a la siguiente página,o desde otro mirror y descargamos el script para instalarlo. Para ello deberemos otorgarle permisos de ejecución.
$ cd /home/$USER/Descargas
$ chmod +x Packet[Pulsar_Tabulador]
$ beesu ./Packet[Pulsar_Tabulador]
Y se nos abrirá un diálogo de instalación como el que aparece abajo.



Aceptamos la licencia y procedemos con la instalación.

Una vez terminada se nos creará un acceso a Packet Tracer desde el menú de nuestro entorno. Si usas tal vez WM como wmii, dwm...et tal vez te interese que el nombre del comando es /usr/local/PacketTracer5/packettracer

Nos aparecerá las siguientes pantallas de bienvenida, siendo la última la ventana principal y de trabajo.


Referencias

Shuttertux ~ Install Cisco Packet Tracer under Linux
HeiseR ~ Packet Tracer Version 5.3.3 Software Downloads
Google

9 comentarios:

  1. Me ha funcionado a la perfección. Eres una maquina Álvaro. Sigue así!!!

    ResponderEliminar
  2. Álvaro, cómo estas?

    Estuve tratando de instalar Packet tracer tanto en su versión 6.0.1 como la 5.3.3 en Fedora pero al parecer no corre para 64 bits. Lo que he visto han sido puros scripts y binarios para 32 bits. Esta instalación la hiciste en una arquitectura de 32 bits?

    Avísame si se puede instalar en 64 bits.

    Excelente tutorial y gracias :D

    ResponderEliminar
    Respuestas
    1. Buenas, compañera!

      La 6.0.1 la estuve buscando pero no la encontré en .rpm, al menos hasta dónde busqué. Por eso hice el post con esta versión, aparte que era la que se usaba en clase. La instalación se ha efectuado en varios equipos con Fedora en 64 bits. Así que no debería darte problema. Lo único sería que YUM te instale diectamente las dependencias o tengas que instalar esta serie de librerías manualmente.

      "
      libXrandr.i686
      libpng12.i686
      "

      Saludos! Y me alegra saber algo de ti!

      Eliminar
    2. Álvaro, wapo! gracias por la respuesta.
      Pues ayer estuve tratando de instalarlo en F20 64 bits pero no tuve éxito, me pide muchas dependencias de 32 bits. Muchas de esas dependencias ya las tengo pero para versión de 64 y no de 32 y cuando mando a yum a instalarlas me tira un error en función de que no puede tener las mismas librerías para arquitecturas distintas. ¿Qué me recomiendas en este caso?

      Gracias,

      Eliminar
    3. Sí, ya vi el problema, lo instalé desde 0 todo y faltaban dependencias, que seguro cuando hice el post se completaron con la instalación de otros programas que requerían de liberías 32 bits.

      Esta es la nueva lista de dependencias que tendrías que incorporar en tu OS para que pueda efectuarse la instalación.

      ""
      libXrandr.i686
      libpng12.i686
      fontconfig.i686
      freetype.i686
      glib2.i686
      libICE.i686
      libSM.i686
      libXi.i686
      libgcc.i686
      libstdc++.i686
      expat.i686
      libffi.i686
      libpng.i686
      libselinux.i686
      libuuid.i686
      pcre.i686
      xz-libs.i686

      ""

      Seguramente fue que te salió un error como este:

      ""
      rror: Error de dependencias:
      libICE.so.6 es necesario por PacketTracer-1:5.3.3-1.i586
      libSM.so.6 es necesario por PacketTracer-1:5.3.3-1.i586
      libXi.so.6 es necesario por PacketTracer-1:5.3.3-1.i586
      libfontconfig.so.1 es necesario por PacketTracer-1:5.3.3-1.i586
      libfreetype.so.6 es necesario por PacketTracer-1:5.3.3-1.i586
      ""

      Si es así, puedes tomar el nombre de las librerías he instalarlas como paquetes, por ejemplo:

      $ su -c "yum install libSM.so.6"

      Esto buscará el paquete que lo contenga y te lo añadirá a tu SO.

      ¡Saludos!

      Eliminar
    4. Lo que pasa es que algunas librerías que piden allí, ya tengo la versión en 64 bits y no pueden instalarse porque sino causarían conflicto. Ya lo arreglé, lo que hice al final si a alguien le está dando problemas es que eliminé las librerías de 64 bits que estaban causando conflicto e instalé la versión para i686.

      A los que lo hagan, verifiquen si estas librerías son necesarias para programas que estén utilizando diariamente o cosas así.

      Gracias Álvaro.

      A ver cuando hacemos una quedada cuando me pase por la Isla =)

      Eliminar
    5. Que raro :s porque recién comprobé las mismas librerías requeridas para la instalación y tengo ambas versiones tanto x86_64 como i686 instaladas sin problemas. ¿Lo hiciste con DNF? Con él si tuve algún que otro problemilla con librerías de 32 bits, pero no con YUM.

      ¿Te me vienes a Lanzarote? Wooh, avísame entonces yo encantado de la vida jejeje.

      Eliminar
  3. Álvaro, un abrazo, excelente post, por fin pude instala PacketTracer en Fedora21. Lo intente en múltiples ocasiones sin tener éxito, hoy por fin, revisando las dependencias una a una, bajando el binario, finalmente instale 'beesu'. finalmente se instalo sin mayor problema. Gracias.

    ResponderEliminar

Gracias por visitar mi blog y animarte a comentar. Por favor se respetuoso con sus comentarios. Cualquier error es preferible reportárlo que criticarlo por el bien de todos.



Licencia y responsabilidades

Licencia Creative Commons
netSys blog por Álvaro Castillo se encuentra bajo una Licencia Creative Commons Atribución-CompartirIgual 3.0 Unported.

El propietario de este blog no se responsabiliza de los daños que puedan generarse u ocurrir por la información expuesta aquí, en caso de ser utilizada la responsabilidad recae bajo quién la use.

Se les informa de posibles publicaciones donde queden expuestas imágenes a terceros o marcas comerciales que siempre tendrán sus fuentes, y sus atribuciones.

Por último, en caso de confusión por la temática que se trate de los artículos, tutoriales...etc dejaremos claro que este sitio Web no colabora directamente con ningún proyecto de forma oficial.